#include <stdio.h>

#pragma weak main_hidden
extern int main_hidden;
asm (".hidden main_hidden");

int shared_hidden = 1;

extern int * shared_hidden_p ();

int 
main()
{
  int ret = 0;

  ret += &main_hidden != NULL;
  ret += shared_hidden_p () != NULL;
  printf ("%p\n", &main_hidden);
  printf ("%p\n", shared_hidden_p ());
  return ret;
}
